Method: customers.quarantinedMessages.get

Gets metadata and content for a quarantined message.

HTTP request

GET https://mailadminquarantine.googleapis.com/v1/{name=customers/*/quarantinedMessages/*}

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
name

string

Required. The resource name of the quarantined message to retrieve. Format: customers/{customer_id}/quarantinedMessages/{quarantined_message_id}

Query parameters

Parameters
view

enum (MessageView)

Optional. The view of the message content.

Request body

The request body must be empty.

Response body

If successful, the response body contains an instance of QuarantinedMessage.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/gmail.admin.quarantine
  • https://www.googleapis.com/auth/gmail.admin.quarantine.readonly

For more information, see the Authorization guide.

MessageView

Optional. The view of the message content to retrieve.

Enums
MESSAGE_VIEW_UNSPECIFIED Default. Returns the message with basic metadata.
MESSAGE_VIEW_BASIC Returns only metadata of a message.
MESSAGE_VIEW_RAW Returns the entire email message in an RFC 2822 formatted and base64url encoded string.
MESSAGE_VIEW_DETAILS Returns the full parsed message structure, including headers, body, and attachments.